# require 'highline'

module Filechooser
  
  module Highline
    @@cli=nil
    
    class ::String     
      def style(st) # to simplify the use of Highline Color Scheme ( " in string st is being protected)
           a="<%= color(\""
           b=self.gsub('"','\"')
           c="\""+", #{st})%>"
           return a+b+c
      end
    end

    private_class_method def self.set_highline_color_scheme
      ft = HighLine::ColorScheme.new { |cs|
           cs[:warning] = [ :bold, :red ]
           cs[:info] = [ :green ]
           cs[:koralle] = [ :rgb_f08080]
           cs[:yellow1] = [ :rgb_ffcc33]
           cs[:rosybrown1] = [ :rgb_ffc1c1]
           cs[:rosybrown3] = [ :rgb_cd9b9b]
           cs[:slategray1] = [ :rgb_c6e2ff]
           cs[:help] = [ :slategray1 ]
           cs[:ask_line] = [ :koralle ]
           cs[:headline] = [ :yellow, :underline ]
           cs[:row_odd] = [ :rosybrown1]
           cs[:row_even] = [ :rosybrown3]
           cs[:lightblue]        = [ :rgb_00ffff]
          }
      HighLine.color_scheme = ft
    end
    
    def self.cli
      @@cli
    end
    
    def self.init
      @@cli = HighLine.new
      set_highline_color_scheme
    end
  end
   
end
  
    # Usage im Modul Filechooser:    Highline.cli.say("String".style(":help"))